org.appng.mail

## Interface Mail

- All Known Implementing Classes:
    MailImpl

      public interface Mail

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Mail.RecipientType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mail` | `addAttachment(File file, String mimeType)`
    `Mail` | `addAttachment(File file, String name, String mimeType)`
    `Mail` | `addAttachment(InputStream is, String name, String mimeType)`
    `Mail` | `addReceiver(Receiver receiver)`
    `Mail` | `addReceiver(String email, Mail.RecipientType type)`
    `Mail` | `addReceiver(String email, String name, Mail.RecipientType type)`
    `Mail` | `addReplyTo(String email)`
    `Mail` | `addReplyTo(String email, String name)`
    `List<Attachment>` | `getAttachments()`
    `String` | `getEncoding()`
    `String` | `getFrom()`
    `Address` | `getFromAddress()`
    `String` | `getHtmlContent()`
    `List<Receiver>` | `getReceivers()`
    `List<Receiver>` | `getReplyTo()`
    `String` | `getSubject()`
    `String` | `getTextContent()`
    `boolean` | `hasAttachments()`
    `boolean` | `hasReceivers()`
    `void` | `markInvalidReceivers(List<String> invalid)`
    `void` | `setEncoding(String encoding)`
    `Mail` | `setFrom(String from)`
    `Mail` | `setFrom(String from, String name)`
    `Mail` | `setHTMLContent(String content)`
    `Mail` | `setSubject(String subject)`
    `Mail` | `setTextContent(String content)`

- - ### Method Detail

    - #### setEncoding

          void setEncoding(String encoding)

    - #### getEncoding

          String getEncoding()

    - #### addReceiver

          Mail addReceiver(Receiver receiver)

    - #### addReceiver

          Mail addReceiver(String email,
                           Mail.RecipientType type)

    - #### addReceiver

          Mail addReceiver(String email,
                           String name,
                           Mail.RecipientType type)

    - #### setHTMLContent

          Mail setHTMLContent(String content)

    - #### setTextContent

          Mail setTextContent(String content)

    - #### setSubject

          Mail setSubject(String subject)

    - #### setFrom

          Mail setFrom(String from)

    - #### setFrom

          Mail setFrom(String from,
                       String name)

    - #### addReplyTo

          Mail addReplyTo(String email)

    - #### addReplyTo

          Mail addReplyTo(String email,
                          String name)

    - #### addAttachment

          Mail addAttachment(InputStream is,
                             String name,
                             String mimeType)
                      throws MailException

      Throws:
        `MailException`

    - #### addAttachment

          Mail addAttachment(File file,
                             String mimeType)
                      throws MailException

      Throws:
        `MailException`

    - #### addAttachment

          Mail addAttachment(File file,
                             String name,
                             String mimeType)
                      throws MailException

      Throws:
        `MailException`

    - #### hasAttachments

          boolean hasAttachments()

    - #### getReceivers

          List<Receiver> getReceivers()

    - #### getReplyTo

          List<Receiver> getReplyTo()

    - #### getAttachments

          List<Attachment> getAttachments()

    - #### getFrom

          String getFrom()

    - #### getFromAddress

          Address getFromAddress()

    - #### getSubject

          String getSubject()

    - #### getHtmlContent

          String getHtmlContent()

    - #### getTextContent

          String getTextContent()

    - #### markInvalidReceivers

          void markInvalidReceivers(List<String> invalid)

    - #### hasReceivers

          boolean hasReceivers()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.